Get Game
Get a game’s details and artwork, including related games.
GET https://api.mediux.io/games/{gameId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Game with grouped assets
Section titled “Game with grouped assets”Status: 200 OK
Response headers:
content-type: application/json; charset=utf-8{ "data": { "id": 1020, "kind": "game", "title": "Example Game", "summary": "An example game summary.", "storyline": null, "gameType": "original", "firstReleaseDate": "2020-06-19", "metadataImages": { "poster": "https://images.igdb.com/igdb/image/upload/t_cover_big/abc123.jpg", "backdrop": "https://images.igdb.com/igdb/image/upload/t_screenshot_huge/def456.jpg", "logo": null }, "assets": { "covers": [], "heroes": [], "logos": [], "wideCovers": [], "backgrounds": [], "squareCovers": [], "icons": [] }, "developers": [ { "name": "Example Studio", "role": "main" } ], "publishers": ["Example Publisher"], "engines": [], "genres": ["Adventure"], "platforms": [ { "name": "Example Platform", "abbreviation": "EXP" } ], "relatedGames": [ { "id": 1021, "kind": "game", "title": "Example Related Game", "firstReleaseDate": "2021-02-01" } ] }}Game not found
Section titled “Game not found”Status: 404 Not Found
Response headers:
content-type: application/json; charset=utf-8{ "data": null, "error": { "code": "not_found", "message": "The requested resource was not found." }}